/* Show .setting-div when hovering .onhover-dropdown-second and position it to the left */
.onhover-dropdown-second {
    position: relative;
}
.onhover-dropdown-second > .setting-div {
    display: none;
    position: absolute;
    top: 50%;
    left: auto;
    right: 100%;
    min-width: 180px;
    z-index: 1000;
    background: #fff;
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
    border-radius: 6px;
    border: 1px solid #e5e5e5;
}
.onhover-dropdown-second:hover > .setting-div,
.onhover-dropdown-second:focus-within > .setting-div {
    display: block;
}


.onhover-dropdown-third > .setting-div2 {
    display: none;
    position: absolute;
    top: 50%;
    left: auto;
    right: 100%;
    min-width: 200px;
    z-index: 1000;
    background: #fff;
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
    border-radius: 6px;
    border: 1px solid #e5e5e5;
}

.onhover-dropdown-third:hover  > .setting-div2,
.onhover-dropdown-third:focus-within  > .setting-div2 {
    display: block;
}

.email-variables a {
    background: var(--bs-info);
    color: #fff;
    padding: 4px 7px 3px;
    border-radius: 4px;
    font-size: 12px;
}

.categories-list li {
    display: block;
}

.categories-list li .category-content {
    background: #f5f5f5;
    border: 1px solid #ccc;
    padding: 8px 7px 7px 7px;
    margin-bottom: 7px;
    border-radius: 3px;
    display: flex;
    justify-content: space-between;
    gap: 5px;
    align-items: center;
}

.btn-image-upload {
    position: relative;
    background: #eceaea;
    border: 1px solid #999;
    border-radius: 5px;
    width: 70px;
    height: 70px;
    font-size: 12px;
}

.btn-image-upload input {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
}

.image-preview {
    max-width: 50px;
    max-height: 50px;
    object-fit: cover;
    object-position: center;
    cursor: pointer;
}

#imagePreviewModal .modal-content {
    background: transparent;
    border: none;
}

#imagePreviewModal .modal-body .image-preview-container {
    background: #fff;
    padding: 10px;
    position: relative;
    display: inline-block;
    border-radius: 10px;
}

#imagePreviewModal .modal-body .btn-close {
    position: absolute;
    top: -10px;
    right: -10px;
    background-color: #fff;
    border-radius: 50%;
    padding: 5px;
    z-index: 999;
    width: 20px;
    height: 20px;
    opacity: 1 !important;
    border: 1px solid #ccc;
}

#imagePreviewModal .modal-body img {
    max-width: 100%;
    height: auto;
}

.product-gallery-item {
    border: 1px solid #ddd;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
}

.product-gallery-item .remove-btn {
    position: absolute;
    top: 5px;
    right: 7px;
    width: 30px;
    height: 30px;
    font-size: 20px;
    padding: 0;
}

.product-gallery-item.input-button {
    width: 135px;
    height: 135px;
    text-align: center;
    font-size: 35px;
    color: #ccc;
    display: flex;
    justify-content: center;
    align-items: center;
}

.product-gallery-item.input-button input {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
}

.product-gallery-all{
    height: calc(100vh - 270px);
    overflow-y: auto;      
    border: 1px solid #ccc;
}


.product-gallery-item img {
    width: 135px;
    object-fit: cover;
    height: 135px;
    object-position: center;
}

.page-wrapper .page-body-wrapper .page-sidebar .sidebar-menu>li>a:hover {
    color: #f3119d;
}

.page-wrapper .page-body-wrapper .page-sidebar .sidebar-menu>li>a.active {
    color: #f3119d;
}

.page-wrapper .page-body-wrapper .page-sidebar .sidebar-menu .sidebar-submenu>li.active>a.active {
    color: #f3119d;
}

.page-wrapper .page-body-wrapper .page-sidebar .sidebar-menu .sidebar-submenu>li>a:hover {
    color: #f3119d;
}

.dt-bootstrap5 {
    display: flex;
    justify-content: space-between;
}

.page-wrapper .page-body-wrapper .page-body {
    min-height: calc(100vh - 133px);
}

.product-step-card .card-body {
    height: calc(100vh - 455px);
    overflow: auto;
}

.product-step-links-card .card-body {
    height: calc(100vh - 275px);
}

.previewVideo {
    height: 300px;
}

#admin-filter-table .dropdown-menu.show{
    transform: translate(0px, 25px) !important;
}

.previewImage{
    border-radius: 50% !important;
}

#bodyProgressBar {
    position: fixed;
    top: 0;
    left: 0;
    height: 4px;
    width: 0;
    background-color: #4caf50;
    z-index: 9999;
    transition: width 0.4s ease;
  }

  .w-10{
    width: 10% !important;
  }
  .w-20{
    width: 20% !important;
  }
  .w-30{
    width: 30% !important;
  }
  .w-40{
    width: 40% !important;
  }
  .w-50{
    width: 50% !important;
  }
  .w-60{
    width: 60% !important;
  }
  .w-70{
    width: 70% !important;
  }
  .w-80{
    width: 80% !important;
  }
  .w-90{
    width: 90% !important;
  }
  .w-100{
    width: 100% !important;
  }


  .accordion-button:not(.collapsed) {
    background-color: #f1f1f1 !important;
    color: #333 !important;
  }
  .accordion-button:focus {
    box-shadow: 0 0 0 0.25rem #dbdbdb !important;
  }

  #filterForm{
    position: relative;
  }
  #filterForm .dropdown-menu.show{
    transform: translate(0px, 0px) !important;
  }
  #export-dropdown-list li {
    padding: 5px 10px;
    width: 100%;
    cursor: pointer;
  }

  .height-100{
    height: 100% !important;
  }
  .fieldset-custom {
    border: #cecece 1px solid;
    padding: 10px;
    border-radius: 6px;
  }

  /* .parent-checkbox{
    background: #fff !important;
    border: 2px solid #fff !important;
  } */
  /* .accordion-button:not(.collapsed)::after {
    background-image: var(--bs-accordion-btn-icon) !important;
    transform: var(--bs-accordion-btn-icon-transform) !important;
} */


.tooltip-menu-container {
  position: relative;
  display: inline-block;
}

.menu-btn {
  /* padding: 8px 16px; */
  cursor: pointer;
}

.tooltip-menu {
  display: none;
  position: absolute;
  top: 110%;         /* a bit below the button */
  left: 0;
  top: 0;
  background: #fff;
  border: 1px solid #ccc;
  min-width: 160px;
  box-shadow: 0 2px 8px rgba(0,0,0,0.15);
  z-index: 1000;
  border-radius: 5px;
}

.tooltip-menu ul {
  list-style: none;
  margin: 0;
  padding: 8px 0;
}

.tooltip-menu ul li {
  padding: 8px 16px;
  cursor: pointer;
  width: 100%;
}

.tooltip-menu ul li:hover {
  background: #f5f5f5;
}

/* Show menu on hover */
.tooltip-menu-container:hover .tooltip-menu {
  display: block;
}

.align-middle>a>i.fa-file-pdf-o {
  color: #f3119d;
  font-size: 25px;
}

.purpose-filter-container .form-check {
  margin-bottom: 0px;
}
.purpose-filter-container .form-check label {
  margin:0px;
}


#add-level{
  background: #00baf2;
  color: white;
}

#add-level i{
  margin-top: 0px;
  margin-left: -6px;
  padding: 0px;
}

.btn-form{
  padding: .70rem .75rem !important;
}
.fa-bold{
  font-weight: bold;
}

.dropdown-toggle.no-caret::after {
    display: none;
}
.icon8-20{
    width: 20px;
    height: 20px;
}

.icon8-8{
    width: 8px;
    height: 8px;
}

.icon8-10{
    width: 10px;
    height: 10px;
}

.icon8-12{
    width: 12px;
    height: 12px;
}
.icon8-14{
    width: 14px;
    height: 14px;
}
.icon8-16{
    width: 16px;
    height: 16px;
}
.icon8-24{
    width: 24px;
    height: 24px;
}
.icon8-32{
    width: 32px;
    height: 32px;
}
.icon8-40{
    width: 40px;
    height: 40px;
} 
.select2-results__option{
  width: 100% !important;
}
.select2-container--default .select2-selection--single
{
  height: 38px !important;
  border: var(--bs-border-width) solid var(--bs-border-color) !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered
{
  line-height: 38px !important;
}
.select2-container--default .select2-selection--single .select2-selection__clear{
  height: 36px !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow{
  height: 36px !important;
}

.tooltip {
  position: relative;
  display: inline-flex;
  align-items: center;
  cursor: pointer;
}

.tooltip .tooltip-text {
  visibility: hidden;
  background: #000;
  color: #fff;
  padding: 6px 10px;
  border-radius: 6px;
  font-size: 12px;
  position: absolute;
  top: -45px;
  left: 50%;
  transform: translateX(-50%);
  white-space: nowrap;
  opacity: 0;
  transition: .3s ease;
  z-index: 10;
}

.tooltip:hover .tooltip-text {
  visibility: visible;
  opacity: 1;
}

.tooltip-icon {
  width: 18px;
  height: 18px;
  background: #007bff;
  color: white;
  font-size: 12px;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.item-group-name.active{
  font-weight: bold;
  color: #fff;
  background-color: #0d6efd;
}
.item-group-name.active .text-primary{
  color: #fff !important;
}

#icon-grid-container {
    max-height: 500px;
    overflow-y: auto;
}